
; extended Win32 programming headers with parameters count checking (ASCII)

include 'win32ax.inc'

macro invoke proc,[arg]
 { common local ..count
    ..count = 0
    if ~ arg eq
   forward ..count = ..count + 1
   common
    end if
    if defined proc#%
     if ..count <> proc#%
      display "error: invalid count of parameters for API call.",0Dh,0Ah
      local halt
      halt
     end if
    end if
    invoke proc,arg }

include 'pcount/kernel32.inc'
include 'pcount/user32.inc'
include 'pcount/gdi32.inc'
include 'pcount/advapi32.inc'
include 'pcount/comctl32.inc'
include 'pcount/comdlg32.inc'
include 'pcount/shell32.inc'
include 'pcount/wsock32.inc'
